/* Comment Form Layout */
.ns-comment-filters .ns-comment-filters-type {
  background-color: transparent;
  border: transparent;
  cursor: pointer;
  padding: 5px 0 5px;
}

.ns-comment-filters .ns-comment-filters-type:focus {
  border: transparent;
}

.tx_nsnewscomments .news-filter .ns-headline {
  text-decoration: underline;
  text-underline-offset: 10px;
  text-decoration-color: var(--primary-color);
  text-decoration-thickness: 2px;
  padding-inline: 0 2px;
  text-transform: uppercase;
}

.tx_nsnewscomments .news-filter .ns-headline,
.tx_nsnewscomments .news-filter .ns-headline h5 {
  font-weight: 600;
  margin-bottom: 0;
  margin-top: 0;
}

.tx_nsnewscomments .ns-news-comment-reactions {
  margin-left: auto;
}

.tx_nsnewscomments .news-filter {
  border-bottom: 2px solid var(--border-color);
  align-items: center;
  display: flex;
  justify-content: space-between;
  margin-bottom: 20px;
}

.tx_nsnewscomments .comment-main-level {
  position: relative;
  padding-left: 70px;
}

.tx_nsnewscomments .comment-main-level:after {
  content: '';
  width: 0;
  height: 0;
  display: block;
  clear: both;
}

.tx_nsnewscomments .comment-date {
  font-size: 14px;
  color: #999;
}


/* Comment form layout Start */
/* Comment Form with border */
.tx_nsnewscomments .comments-block.comments-block--with-border .comment-main-level {
  padding-left: 55px;
}

.tx_nsnewscomments .comments-block.comments-block--with-border .comment-box {
  border: transparent;
  box-shadow: none;
}

.tx_nsnewscomments .comments-block.comments-block--with-border .comment-box .comment-head::before {
  border: 1px dashed var(--border-color);
  bottom: 0;
  content: '';
  display: block !important;
  left: 35px;
  position: absolute;
  top: auto;
  width: calc(100% - 37px);
}

.tx_nsnewscomments .comments-block.comments-block--with-border .comment-box .comment-head::before,
.tx_nsnewscomments .comments-block.comments-block--with-border .comment-box .comment-head::after,
.tx_nsnewscomments .comments-block.comment-avatar--top .comment-box .comment-head::before,
.tx_nsnewscomments .comments-block.comment-avatar--top .comment-box .comment-head::after,
.tx_nsnewscomments .comments-block.comments-block--with-bg-color .comment-box .comment-head::before,
.tx_nsnewscomments .comments-block.comments-block--with-bg-color .comment-box .comment-head::after {
  display: none;
}

.tx_nsnewscomments .comments-block.comments-block--with-border .comment-main-level::before,
.tx_nsnewscomments .comments-block.comments-block--with-border .comment-main-level::after {
  background: var(--border-color);
  content: '';
  height: calc(100% - 20px);
  left: 27.5px;
  position: absolute;
  top: 20px;
  width: 2px;
}

.tx_nsnewscomments .comments-block.comments-block--with-border .comment-main-level::after {
  bottom: 0;
  height: 2px;
  top: auto;
  width: calc(100% - 27.5px);
}

/* 
.tx_nsnewscomments .comments-block.comments-block--with-border .reply-list .comment-main-level::before {
  background: var(--primary-color);
} */

.tx_nsnewscomments .comments-block.comments-block--with-border .reply-list:not(:last-of-type) .comment-main-level::before {
  height: calc(100% + 30px);
}

.tx_nsnewscomments .comments-block.comments-block--with-border .reply-list:last-of-type .comment-main-level::after {
  display: none;
}

.tx_nsnewscomments .comments-block.comments-block--with-border .reply-list:not(:last-of-type) .comment-main-level::after {
  background-color: transparent;
  border: 1px dashed var(--border-color);
  height: 0;
  left: 70px;
  width: calc(100% - 70px);
}

.tx_nsnewscomments .comments-block.comments-block--with-border .comment-avatar+.comment-box .comment-head {
  border-bottom-left-radius: 5px;
  margin-left: -25px;
  padding-left: 35px;
  z-index: 0;
}

/* Comment Form with bg color */
.tx_nsnewscomments .comments-block.comments-block--with-bg-color .comment-main-level .comment-box,
.tx_nsnewscomments .comments-block.comment-avatar--top.comments-block--with-bg-color .reply-list .comment-main-level .comment-box {
  box-shadow: none;
  background-color: #f5f5f5;
  border: transparent;
  border-radius: 0;
  border-width: 0;
  border-left: 2px dashed var(--primary-color);
}

.tx_nsnewscomments .comments-block.comments-block--with-bg-color .reply-list .comment-main-level .comment-box,
.tx_nsnewscomments .comments-block.comment-avatar--top.comments-block--with-bg-color .reply-list .comment-main-level .comment-box {
  border-style: solid;
}

/* User Profile Position Start */
.tx_nsnewscomments .comments-block.comment-avatar--top .comment-box {
  background-color: transparent;
  border-radius: 0;
  border: transparent;
  box-shadow: none;
}

.tx_nsnewscomments .comments-block.comment-avatar--top .comment-main-level,
.tx_nsnewscomments .comments-block.comment-avatar--top.comments-block--with-border .comment-main-level {
  padding-left: 0;
}

.tx_nsnewscomments .comments-block.comment-avatar--top .comment-author {
  font-size: 18px;
}

.tx_nsnewscomments .comments-block.comment-avatar--top .comment-avatar {
  position: initial;
  margin-right: 12px;
}

.tx_nsnewscomments .comments-block.comment-avatar--top .comment-box .comment-head,
.tx_nsnewscomments .comments-block.comment-avatar--top .comment-box .comment-footer,
.tx_nsnewscomments .comments-block.comment-avatar--top .comment-box .comment-content {
  background-color: transparent;
  padding: 5px 0 0;
}

.tx_nsnewscomments .comments-block.comment-avatar--top.comments-block--with-border .comment-box .comment-head {
  border: transparent;
  padding-top: 0;
  position: relative;
}

.tx_nsnewscomments .comments-block.comment-avatar--top.comments-block--with-border .comment-main-level .comment-box .comment-head::before {
  border: 1px dashed var(--border-color);
  bottom: 0;
  content: '';
  display: block !important;
  left: 68px;
  position: absolute;
  top: auto;
  width: calc(100% - 68px);
}

.tx_nsnewscomments .comments-block.comment-avatar--top.comments-block--with-border .comment-box .comment-footer {
  padding-bottom: 15px;
}

.tx_nsnewscomments .comments-block.comment-avatar--top.comments-block--with-border .comment-box .comment-footer,
.tx_nsnewscomments .comments-block.comment-avatar--top.comments-block--with-border .comment-box .comment-content {
  padding-top: 8px;
  padding-left: 68px;
}

.tx_nsnewscomments .comments-block.comment-avatar--top.comments-block--with-bg-color .comment-main-level .comment-box {
  padding: 10px 15px;
}

/* User Profile Shape start */
.tx_nsnewscomments .comments-list .comment-avatar {
  height: 55px;
  position: relative;
  width: 55px;
}

.tx_nsnewscomments .comments-list .comment-avatar img {
  border-radius: 50%;
  object-fit: cover;
  height: 100%;
  width: 100%;
}

.tx_nsnewscomments .comments-list .comment-avatar.comment-avatar--radius img {
  border-radius: 10px;
}

.tx_nsnewscomments .comments-list .comment-avatar.comment-avatar--rounded-outline {
  border-radius: 50%;
}

.tx_nsnewscomments .comments-list .comment-avatar.comment-avatar--square img,
.tx_nsnewscomments .comments-list .comment-avatar.comment-avatar--square-outline img {
  border-radius: initial;
}

.tx_nsnewscomments .comments-list .comment-avatar.comment-avatar--rounded-outline,
.tx_nsnewscomments .comments-list .comment-avatar.comment-avatar--square-outline {
  border: 2px solid var(--primary-color);
}

.tx_nsnewscomments .comment-main-level .comment-avatar {
  position: absolute;
  left: 0;
  top: 0;
  z-index: 1;
}

/* User Profile End */

.tx_nsnewscomments .ns-icon-reply {
  background-color: #000;
  height: 14px;
  left: 0;
  mask-image: url("../Icons/reply.svg");
  mask-position: center center;
  mask-repeat: no-repeat;
  mask-size: contain;
  position: absolute;
  top: 4px;
  transform: rotate(180deg);
  width: 14px;
}

.tx_nsnewscomments .comment-box .comment-btn.ns-news-comment-reply {
  margin-left: 10px;
}

.tx_nsnewscomments .comment-box .comment-btn .ns-icon-reply {
  transition: all 0.3s ease 0s;
}

.tx_nsnewscomments .comment-box .comment-btn {
  color: inherit;
  padding-left: 20px;
  padding-right: 5px;
  position: relative;
  text-decoration: none;
  transition: all 0.3s ease-in 0s;
}

.tx_nsnewscomments .comment-box .comment-btn:hover {
  color: var(--primary-color);
}

.tx_nsnewscomments .comment-box .comment-footer-reply .comment-btn:hover .ns-icon-reply {
  background-color: var(--primary-color);
  transform: rotate(90deg) scale(1.8);
}

.btn-comment-like-dislike {
  border: 0;
  cursor: pointer;
  background-color: transparent;
}

.tx_nsnewscomments .comment-box .comment-footer-reply button i.fa {
  font-size: 14px;
  line-height: 18px;
  padding-right: 5px;
  transition: all 0.3s ease 0s;
}

.tx_nsnewscomments .comment-box .comment-footer-reply button:not(:disabled).btn-like:hover i.fa,
.tx_nsnewscomments .comment-box .comment-footer-reply button:not(:disabled).btn-dislike:hover i.fa {
  color: var(--primary-color);
  transform: scale(1.5);
}

.tx_nsnewscomments .comment-box .comment-footer-reply .btn-comment-like-dislike:disabled {
  color: var(--primary-color);
}

.tx_nsnewscomments .comment-box .comment-footer {
  align-items: flex-end;
  display: flex;
  flex-wrap: wrap;
  padding: 0px 15px 15px;
}

.tx_nsnewscomments .comments-list .comment-box {
  background-color: #fff;
  border-radius: 4px;
  border: 1px solid var(--border-color);
  box-shadow: 0 1px 1px rgba(0, 0, 0, 0.05);
  margin-bottom: 20px;
  position: relative;
  width: 100%;
}

.tx_nsnewscomments .comments-list .comment-box .comment-box {
  background-color: transparent;
  border-radius: 0;
  border: 0px;
  box-shadow: none;
}

.tx_nsnewscomments .comment-box .comment-content p {
  margin-bottom: 0;
}

.tx_nsnewscomments .comment-box .comment-head {
  align-items: center;
  background-color: #f5f5f5;
  border-color: var(--border-color);
  border-top-left-radius: 3px;
  border-top-right-radius: 3px;
  color: var(--text-color);
  display: flex;
  font-size: 18px;
  padding-block: 5px;
  padding-inline: 15px;
  position: relative;
}

.tx_nsnewscomments .comment-box .comment-head::after,
.tx_nsnewscomments .comment-box .comment-head::before {
  border-color: transparent;
  border-style: solid solid outset;
  content: " ";
  display: block;
  height: 0;
  left: -16px;
  pointer-events: none;
  position: absolute;
  right: 100%;
  top: 11px;
  width: 0;
}

.tx_nsnewscomments .comment-box .comment-head::before {
  border-right-color: var(--border-color);
  border-width: 8px;
}

.tx_nsnewscomments .comment-box .comment-head::after {
  border-right-color: #f7f7f7;
  border-width: 7px;
  margin-left: 2px;
  margin-top: 1px;
}

.tx_nsnewscomments .comment-link {
  background-image: url("../Icons/link.svg");
  background-position: center center;
  background-repeat: no-repeat;
  background-size: 14px auto;
  border: 1px solid #cccccc;
  color: #bbbbbb;
  height: 20px;
  margin-left: 10px;
  margin-left: auto;
  transition: all 0.3s ease-in 0s;
  width: 20px;
}

.tx_nsnewscomments .comment-link:hover {
  border-color: var(--primary-color);
  transform: scale(1.1);
}

.tx_nsnewscomments .comment-link a {
  display: block;
  height: 100%;
  width: 100%;
}

.tx_nsnewscomments .comment-box .ns-news-comment-reactions.ns-news-comment-reactions--fancy .user-reactions-emoji {
  cursor: pointer;
}

.tx_nsnewscomments .comment-box .ns-news-comment-reactions.ns-news-comment-reactions--fancy .count {
  display: none;
}

.tx_nsnewscomments .comment-box .ns-news-comment-reactions.ns-news-comment-reactions--fancy:hover .reactions-wrapper {
  opacity: 1;
  transform: translateY(-35px);
}

.tx_nsnewscomments .comment-box .ns-news-comment-reactions.ns-news-comment-reactions--fancy .reactions-wrapper {
  background-color: var(--primary-color);
  border-radius: 50px;
  box-shadow: 0 2px 2px rgba(0, 0, 0, 0.2), 0 0 0 1px rgba(0, 0, 0, 0.05);
  height: auto;
  opacity: 0;
  padding-inline: 15px;
  position: absolute;
  right: 0;
  top: 0;
  transition: all 0.5s ease 0s;
  width: 220px;
}

/* Sticky Comment Count */
.tx_nsnewscomments .stickycomment {
  bottom: 40px;
  cursor: pointer;
  display: inline-block;
  left: 50px;
  position: fixed;
  z-index: 9;
}

.tx_nsnewscomments .stickycomment span {
  align-items: center;
  border-radius: 50%;
  bottom: 8px;
  color: #fff;
  display: flex;
  font-size: 15px;
  font-weight: 600;
  height: 18px;
  justify-content: center;
  position: absolute;
  right: 17px;
  width: 18px;
}

.tx_nsnewscomments .stickycomment-wrapper:hover .stickycomment__content svg:first-of-type {
  opacity: 0;
}

.tx_nsnewscomments .stickycomment-wrapper:hover .stickycomment-msg,
.tx_nsnewscomments .stickycomment-wrapper:hover .stickycomment__content svg:last-of-type {
  opacity: 1;
  pointer-events: all;
}

.tx_nsnewscomments .stickycomment-wrapper {
  background-color: var(--primary-color);
  border-radius: 50%;
  border: 1px solid #fff;
  height: 72px;
  position: relative;
  width: 72px;
}

.tx_nsnewscomments .stickycomment__content {
  align-items: center;
  display: flex;
  justify-content: center;
  height: 100%;
}

.tx_nsnewscomments .stickycomment__content svg {
  transition: all 0.5s ease 0s;
  fill: #ffff;
}

.tx_nsnewscomments .stickycomment__content svg:last-of-type {
  position: absolute;
  opacity: 0;
}

.tx_nsnewscomments .stickycomment .stickycomment-msg::before {
  content: '';
  border: 9px solid transparent;
  border-left-width: 9px;
  border-left-style: solid;
  position: absolute;
  top: 50%;
  left: -9px;
  transform: translateY(-50%);
  border-left: none;
  border-left-color: var(--primary-color);
  border-right-color: var(--primary-color);
}

.tx_nsnewscomments .stickycomment .stickycomment-msg {
  align-items: center;
  background-color: var(--primary-color);
  border-radius: 5px;
  color: #fff;
  display: flex;
  font-size: 16px;
  height: 50px;
  justify-content: center;
  left: 71px;
  padding: 7px;
  position: absolute;
  top: 50%;
  transform: translateY(-50%);
  width: 350px;
  opacity: 0;
  transition: all 0.5s ease 0s;
  pointer-events: none;
}

.tx_nsnewscomments .ns-form-group-main p.text-muted {
  color: #ee0101 !important;
}

.tx_nsnewscomments .ns-form-group-main p.text-muted strong {
  color: #ee0101 !important;
}

/* Reply Form  */
.reply-form.active-comment-form .text-muted,
.reply-form.active-comment-form .ns-btn-submit+.ns-form-group-main .ns-form-group {
  margin-bottom: 0;
}

.tx_nsnewscomments .reply-form.active-comment-form .ns-comments-field .ns-form-group-main .ns-form-group.comment-box {
  background-color: transparent;
  border-left: transparent;
  padding: 0;
}

.reply-form.active-comment-form .ns-captcha .ns-form-group-main .ns-captcha-wrapper img {
  margin-right: 10px;
}

.reply-form.active-comment-form .ns-captcha .ns-form-group-main .ns-captcha-wrapper {
  justify-content: flex-start;
}

.reply-form.active-comment-form .ns-captcha .ns-form-group-main {
  max-width: 100%;
}

@media(max-width: 767px) {
  .tx_nsnewscomments .comments-list .comment-avatar {
    width: 40px;
    height: 40px;
  }

  .tx_nsnewscomments .comment-box .comment-head,
  .tx_nsnewscomments .comment-box .comment-content {
    padding: 10px;
  }

  .tx_nsnewscomments .comment-author,
  .tx_nsnewscomments .comment-box .comment-btn {
    font-size: 14px;
  }

  .tx_nsnewscomments .comment-box .comment-content,
  .tx_nsnewscomments .reply-form .comment-form .comment-date {
    font-size: 14px;
  }

  .tx_nsnewscomments .comment-main-level {
    padding-left: 55px;
  }

  .tx_nsnewscomments .reply-form:not(:empty) {
    padding-left: 15px;
    padding-right: 15px;
  }

  .tx_nsnewscomments .reply-form .ns-form-group label {
    font-size: 14px;
  }

  .tx_nsnewscomments .reply-form .comment-form input,
  .tx_nsnewscomments .reply-form .comment-form textarea,
  .tx_nsnewscomments .reply-form .comment-form select {
    font-size: 12px;
    height: 32px;
  }

  .tx_nsnewscomments .comments-block.comments-block--with-border .comment-main-level::before,
  .tx_nsnewscomments .comments-block.comments-block--with-border .comment-main-level::after {
    left: 18px;
  }

  .tx_nsnewscomments .comments-block.comments-block--with-border .comment-avatar+.comment-box .comment-head {
    padding-left: 35px;
  }

  .tx_nsnewscomments .comments-block.comments-block--with-border .comment-avatar.comment-avatar--square+.comment-box .comment-head,
  .tx_nsnewscomments .comments-block.comments-block--with-border .comment-avatar.comment-avatar--square-outline+.comment-box .comment-head {
    padding-left: 30px;
    margin-left: -20px;
  }

  .tx_nsnewscomments .comments-block.comments-block--with-border .comment-main-level {
    padding-left: 40px;
  }

  .tx_nsnewscomments .comments-block .reply-list {
    padding-left: 35px;
  }

  .tx_nsnewscomments .comments-block.comments-block--with-border .reply-list:not(:last-of-type) .comment-main-level::after {
    left: 40px;
    width: calc(100% - 40px);
  }

  .tx_nsnewscomments .comments-block.comment-avatar--top .comment-box .comment-head,
  .tx_nsnewscomments .comments-block.comment-avatar--top .comment-box .comment-footer,
  .tx_nsnewscomments .comments-block.comment-avatar--top .comment-box .comment-content {
    padding-left: 0;
  }

  .tx_nsnewscomments .comments-block.comment-avatar--top.comments-block--with-border .comment-box .comment-footer,
  .tx_nsnewscomments .comments-block.comment-avatar--top.comments-block--with-border .comment-box .comment-content {
    padding-left: 55px;
  }

  .tx_nsnewscomments .comments-block.comment-avatar--top.comments-block--with-border .comment-main-level .comment-box .comment-head::before {
    left: 54px;
    width: calc(100% - 54px);
  }

  .tx_nsnewscomments .comments-block.comments-block--with-border .comment-box .comment-head::before {
    left: 27px;
    width: calc(100% - 29px);
  }

  .tx_nsnewscomments .stickycomment {
    display: none;
  }
}

@media (max-width: 576px) {
  .tx_nsnewscomments .ns-news-comment-reactions {
    margin-left: initial;
  }
}